function DATAinsert = cellMakerHDVR(IDcentralina,DTcatena,NodeNum,cHDVR,ListaDate,...
    ErrTiltLinkHDVR,ARRAYdateHDVR,X_HDVR,Y_HDVR,Z_HDVR,Xlocal_HDVR,Ylocal_HDVR,Zlocal_HDVR,...
    HShift_HDVR,HShift_local_HDVR,AlfaX_HDVR,AlfaY_HDVR,Azimuth_HDVR,tempHDVR,Speed_HDVR,...
    Speed_local_HDVR,Acceleration_HDVR,Acceleration_local_HDVR,ACCdefRisHDVR,MAGdefRisHDVR)

tempHDVR = tempHDVR';
l = ListaDate;
DATAinsert = cell(l,25);
ACCdefRisHDVR = ACCdefRisHDVR';
MAGdefRisHDVR = MAGdefRisHDVR';
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateHDVR(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateHDVR(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X_HDVR(cHDVR,ii);
    DATAinsert{ii,7} = Y_HDVR(cHDVR,ii);
    DATAinsert{ii,8} = Z_HDVR(cHDVR,ii);
    DATAinsert{ii,9} = Xlocal_HDVR(cHDVR,ii);
    DATAinsert{ii,10} = Ylocal_HDVR(cHDVR,ii);
    DATAinsert{ii,11} = Zlocal_HDVR(cHDVR,ii);
    DATAinsert{ii,12} = HShift_HDVR(cHDVR,ii);
    DATAinsert{ii,13} = HShift_local_HDVR(cHDVR,ii);
    DATAinsert{ii,14} = Azimuth_HDVR(cHDVR,ii); 
    DATAinsert{ii,15} = tempHDVR(cHDVR,ii);
    DATAinsert{ii,16} = Speed_HDVR(cHDVR,ii);
    DATAinsert{ii,17} = Speed_local_HDVR(cHDVR,ii);
    DATAinsert{ii,18} = Acceleration_HDVR(cHDVR,ii);
    DATAinsert{ii,19} = Acceleration_local_HDVR(cHDVR,ii);
    DATAinsert{ii,20} = ErrTiltLinkHDVR(cHDVR,ii);
    DATAinsert{ii,21} = AlfaX_HDVR(cHDVR,ii);
    DATAinsert{ii,22} = AlfaY_HDVR(cHDVR,ii);
    DATAinsert{ii,23} = ACCdefRisHDVR(cHDVR,ii);
    DATAinsert{ii,24} = MAGdefRisHDVR(cHDVR,ii);
    DATAinsert{ii,25} = datestr(ARRAYdateHDVR(ii),'yyyy-mm-dd HH:MM:SS');
end

end